# class ActionController::Middleware

### Public Class Methods

new(app) click to toggle source
Calls superclass method ActionController::Metal.new

    # File lib/action_controller/middleware.rb, line 30
    def initialize(app)
      super()
      @_app = app
    end

### Public Instance Methods

index() click to toggle source

    # File lib/action_controller/middleware.rb, line 35
    def index
      call(env)
    end

new(app) click to toggle source

    # File lib/action_controller/middleware.rb, line 17
    def new(app)
      ActionMiddleware.new(self, app)
    end

process(action) click to toggle source
Calls superclass method AbstractController::Base#process

    # File lib/action_controller/middleware.rb, line 24
    def process(action)
      response = super
      self.status, self.headers, self.response_body = response if response.is_a?(Array)
      response
    end